open Json_type

type jsonduce = 
    {{ {..} | [jsonduce*] | String | Int 
    | <float>Latin1 | `true | `false | `null }}
      (** Extra constraints:
	  - the values of record fields should also be jsonduce values;
	  - the labels of record fields are in the empty namespace.
	  . *)

val json2ocamlduce : json_type -> jsonduce
val ocamlduce2json : jsonduce -> json_type
val from_string : 
  ?allow_comments:bool -> 
  ?big_int_mode:bool -> string -> jsonduce
val from_file :
  ?allow_comments:bool ->
  ?big_int_mode:bool -> string -> jsonduce
val to_string : ?compact:bool -> jsonduce -> string
val to_file : ?compact:bool -> string -> jsonduce -> unit
